<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;

use App\Repositories\Contracts\{
    LoteRepositoryInterface,
};
use App\Repositories\Core\Eloquent\EloquentLoteRepository;
use App\Repositories\Core\QueryBuilder\{
    QueryBuilderLoteRepository,
};

class RepositoryServiceProvider extends ServiceProvider
{
    /**
     * Register services.
     *
     * @return void
     */
    public function register()
    {
        $this->app->bind(
            LoteRepositoryInterface::class,
            QueryBuilderLoteRepository::class
        );

        // $this->app->bind(
        //     LoteRepositoryInterface::class,
        //     EloquentLoteRepository::class
        // );

    }

    /**
     * Bootstrap services.
     *
     * @return void
     */
    public function boot()
    {
    //     $this->registerPolicies();
    //     Auth::provider('customcs', function ($app, array $config) {
    //     return $app->make(CustomEloquentUserProvider::class, ['model' => $config['model']]);
    //    });
    }
}
